Last Comment Bug 796463 - Pref on WebRTC by default
: Pref on WebRTC by default
Status: RESOLVED FIXED
[WebRTC], [blocking-webrtc+], [qa-]
: dev-doc-needed
Product: Core
Classification: Components
Component: WebRTC (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla21
Assigned To: [:jesup] on pto until 2016/8/1 Randell Jesup
: Jason Smith [:jsmith]
Mentors:
Depends on: 805251 814882 818670 820538 822197 825510 825511 825594 825785 825927 826044 826807 829899 830247 831290 833219 835835 836349 836379 836931 838169 840344
Blocks: 1050930
  Show dependency treegraph
 
Reported: 2012-10-01 21:20 PDT by [:jesup] on pto until 2016/8/1 Randell Jesup
Modified: 2016-03-18 14:37 PDT (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
21+


Attachments
enable PeerConnection by default (1.18 KB, patch)
2013-01-31 23:50 PST, [:jesup] on pto until 2016/8/1 Randell Jesup
roc: review+
Details | Diff | Splinter Review

Description [:jesup] on pto until 2016/8/1 Randell Jesup 2012-10-01 21:20:02 PDT
There will be a bunch of bugs blocking this (try to keep it to the highest bug in a chain of dependencies; if we're blocked by B, and A blocks B, don't generally bother having A block this as well.  This is not a hard-and-fast rule.

Doing this will require privacy and security reviews to be passed.
Comment 1 Eric Rescorla (:ekr) 2012-10-01 21:21:36 PDT
Is there currently a bug to make a pref?
Comment 2 [:jesup] on pto until 2016/8/1 Randell Jesup 2012-10-01 21:49:18 PDT
media.peerconnection.enabled (defaults to true on alder)
Comment 3 Maire Reavy (On PTO July 23rd to 31st) 2013-01-22 07:14:11 PST
Removing Bug 827985 because we don't believe there is a significant advantage to moving webrtc out of libxul beyond the patch for bug 833118, which has already landed.
Comment 4 [:jesup] on pto until 2016/8/1 Randell Jesup 2013-01-31 23:50:30 PST
Created attachment 708963 [details] [diff] [review]
enable PeerConnection by default
Comment 5 [:jesup] on pto until 2016/8/1 Randell Jesup 2013-02-13 12:04:43 PST
Comment on attachment 708963 [details] [diff] [review]
enable PeerConnection by default

Looking for trivial r+ in order to be ready to "flip the bit" once we've resolved the blockers.
Comment 6 Jason Smith [:jsmith] 2013-02-18 08:20:29 PST
Sounds like we should land this now, right?

Quick question - are you prefing this on by default in FF 21 or FF 22? That might affect when we land this and if an uplift is needed.
Comment 7 Maire Reavy (On PTO July 23rd to 31st) 2013-02-18 08:56:59 PST
I think we should land this now (today). 

I'd love to pref this on for at least the Aurora cycle of 21 to get some extra testing from the Aurora population.  It's unclear if we'll be able to fix and uplift enough bugs (I realize we have around 50 blocker-webrtc+ bugs currently open) to keep the feature on when Fx21 goes to Beta.  (We probably won't be able to.)  But the extra test time and developer exposure in Aurora 21 would be very valuable to the feature IMO.  If at any point, it becomes problematic to keep the feature pref'd on in Aurora 21, we can disable it. but it would be great if we could keep it on through the end of the Aurora 21 cycle.  Randell and I are talking to Alex and Bhavana (release-drivers) about what makes the most sense.  Thoughts about this are welcome here.
Comment 8 [:jesup] on pto until 2016/8/1 Randell Jesup 2013-02-18 11:52:40 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/584660a01e64
Comment 9 Gregory Szorc [:gps] 2013-02-18 21:26:53 PST
https://hg.mozilla.org/mozilla-central/rev/584660a01e64
Comment 10 Adam Ullman 2013-04-04 17:43:11 PDT
I noticed that it's not pref'd on by default anymore in Aurora (21.0a2) or in Firefox Beta (21.0). Is this intentional? Can we hope for it to be pref'd on by default when 21 goes to production?
Comment 11 Jason Smith [:jsmith] 2013-04-04 18:04:37 PDT
(In reply to Adam Ullman from comment #10)
> I noticed that it's not pref'd on by default anymore in Aurora (21.0a2) or
> in Firefox Beta (21.0). Is this intentional? Can we hope for it to be pref'd
> on by default when 21 goes to production?

Yes, it's intentional. We preffed off for Fx21 because the feature isn't ready for production.

We're riding the trains to Fx22 for turning this feature on now.
Comment 12 Timothy B. Terriberry (:derf) 2013-04-04 18:07:03 PDT
(In reply to Jason Smith [:jsmith] from comment #11)
> Yes, it's intentional. We preffed off for Fx21 because the feature isn't
> ready for production.

Right, we had it preffed on in Aurora to enable wider testing, but the plan was to pref off before 21 went to Beta. See bug 853106.
Comment 13 Maire Reavy (On PTO July 23rd to 31st) 2013-04-04 18:27:03 PDT
Yes, our plan is to keep the feature pref'd on in Firefox 22 into production.
Comment 14 Adam Ullman 2013-04-04 18:35:04 PDT
Thanks for the clarification.

Is there a way in JavaScript to detect whether the pref is on? Currently we're using 

  typeof(mozRTCPeerConnection) === 'function'

but that returns true even if the preference isn't on. It seems that the PeerConnection object is there it just doesn't work.
Comment 15 Adam Ullman 2013-04-04 18:36:19 PDT
Sorry, just realised I can try/catch around new mozRTCPeerConnection. Should have tried that before posting.

Note You need to log in before you can comment on or make changes to this bug.